org.apache.ignite.internal.metric

## Class IoStatisticsQueryHelper

- java.lang.Object
- - org.apache.ignite.internal.metric.IoStatisticsQueryHelper

    public class IoStatisticsQueryHelper
    extends Object

Helper for gathering IO statistics.

### Constructor Summary

Constructors
Constructor and Description
`IoStatisticsQueryHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IoStatisticsHolder` `finishGatheringQueryStatistics()` Finish gathering IO statistics for query.
`static void` `mergeQueryStatistics(IoStatisticsHolderQuery qryStat)` Merge query statistics.
`static void` `startGatheringQueryStatistics()` Start gathering IO statistics for query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IoStatisticsQueryHelper

    public IoStatisticsQueryHelper()

### Method Detail

#### startGatheringQueryStatistics

    public static void startGatheringQueryStatistics()

Start gathering IO statistics for query. Should be used together with `finishGatheringQueryStatistics` method.

#### mergeQueryStatistics

    public static void mergeQueryStatistics(IoStatisticsHolderQuery qryStat)

Merge query statistics.

Parameters:
  `qryStat` - Statistics which will be merged to current query statistics.

#### finishGatheringQueryStatistics

    public static IoStatisticsHolder finishGatheringQueryStatistics()

Finish gathering IO statistics for query. Should be used together with `startGatheringQueryStatistics` method.

Returns:
  Gathered statistics.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022